## Created by Anjuta

MAKEFILE = Makefile
ANJUTA = *.anjuta

export NORUN = 1

all:
	@find . -type d | while read a_dir ;do \
		if test "$$a_dir" = ".";then continue;fi;\
		echo $$a_dir; \
		if test -f "$$a_dir"/$(MAKEFILE) && test -f "$$a_dir"/$(ANJUTA); then \
			make -C "$$a_dir" || exit $?; \
		fi;\
	done; \
	
clean:
	@find . -type d | while read a_dir ;do \
		if test "$$a_dir" = ".";then continue;fi;\
		echo $$a_dir; \
		if test -f "$$a_dir"/$(MAKEFILE) && test -f "$$a_dir"/$(ANJUTA); then \
			make -C "$$a_dir" clean; \
		fi;\
	done; \

.PHONY: all
.PHONY: count
.PHONY: clean
